source: branches/backfire/package/mac80211/patches/009-remove_mac80211_module_dependence.patch @ 21558

Last change on this file since 21558 was 21558, checked in by hauke, 7 years ago

[backfire] backport r21449

ssb: activate CONFIG_SSB_BLOCKIO in the kernel and not in compat-wireless.

Before this patch CONFIG_SSB_BLOCKIO was set to y in compat-wireless
but the in kernel ssb system had it set to n, this causes an invalid pointer.
b43 now needs CONFIG_SSB_BLOCKIO=y

File size: 634 bytes
  • config.mk

    a b $(error "ERROR: Your 2.6.27 kernel has C 
    4242endif 
    4343endif 
    4444 
    45 # This is because with CONFIG_MAC80211 include/linux/skbuff.h will 
    46 # enable on 2.6.27 a new attribute: 
    47 # 
    48 # skb->do_not_encrypt 
    49 # 
    50 # and on 2.6.28 another new attribute: 
    51 # 
    52 # skb->requeue 
    53 # 
    54 ifeq ($(shell test $(KERNEL_SUBLEVEL) -ge 27 && echo yes),yes) 
    55 ifeq ($(CONFIG_MAC80211),) 
    56 $(error "ERROR: Your >=2.6.27 kernel has CONFIG_MAC80211 disabled, you should have it CONFIG_MAC80211=m if you want to use this thing.") 
    57 endif 
    58 endif 
    59  
    6045ifneq ($(KERNELRELEASE),) # This prevents a warning 
    6146 
    6247ifeq ($(CONFIG_NET_SCHED),) 
Note: See TracBrowser for help on using the repository browser.